ARCHIVE-PMC(1)

NAME
archive-pmc - maintain a local NCBI PubMed Central archive

SYNOPSIS
archive-pmc [[-]daily|[-][re]index] [[-]clean|[-]clear|[-]scrub] [[-]zap] [[-path] dir [[-temp|-work[ing]] dir]]

DESCRIPTION
archive-pmc prepares a directory to hold a local PubMed Central archive, then downloads a full database dump from NCBI's servers, organizes the dump into an rchive(1) trie, and refreshes the versioned records.

OPTIONS

[-]daily
    Additionally produce or update an inverted index.

[-][re]index
    Fully reindex, complete with an inverted index.

[-]clean|[-]clear
    Delete Indices contents and Increment files.

[-]scrub
    Delete Indices contents, Increment files, and Postings directories.

[-]zap
    Delete entire archive.

[-path] dir
    Place the local archive in dir.

[-temp|-work[ing]] dir
    Place intermediate subtrees in dir.

ENVIRONMENT

EDIRECT_PMC_MASTER
    Local archive directory to use in the absence of -path. Expected to hold an absolute path; mandatory when not supplying a path on the command line.

EDIRECT_PMC_WORKING
    Directory to hold intermediate subtrees in the absence of -temp|-work[ing]. Expected to hold an absolute path. Defaults to the primary local archive directory when not set.

SEE ALSO
archive-pubmed(1), download-pmc(1), fetch-pmc(1), rchive(1), xtract(1).